List VM snapshots
GET
/vm/{rid}/snapshots
const url = 'https://sylve.lan:8181/api/vm/1/snapshots';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/vm/1/snapshots \ --header 'Authorization: <Authorization>'Retrieve the crash-consistent ZFS snapshot records for a virtual machine
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rid
required
integer
Virtual Machine RID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
createdAt
string
description
string
id
integer
name
string
parentSnapshotId
integer
rid
integer
rootDatasets
Array<string>
snapshotName
string
updatedAt
string
vmId
integer
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "createdAt": "example", "description": "example", "id": 1, "name": "example", "parentSnapshotId": 1, "rid": 1, "rootDatasets": [ "example" ], "snapshotName": "example", "updatedAt": "example", "vmId": 1 } ], "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}